use 教学成绩管理数据库       --一段一段选中执行
go 

--1.创建表
create table 教学成绩表(
  学号 char(6) ,
  教师编号 char(4),
  课程编号 char(6) ,
  学期 nchar (12) ,
  分数 int ,
  constraint pk_成绩 primary key (学号, 教师编号, 课程编号, 学期)  --定义组合主键
)
go

--2.验证，一条一条选中执行
insert 教学成绩表 values('000001','2001','900011', '04-05第1学期', 59)  --不及各
insert 教学成绩表 values('000001','2001','900011', '04-05第1学期', 90)  --优秀
select * from 教学成绩表